import 'dart:convert';

import 'package:dio/dio.dart';

class ResponseBean {

  String message = "网络请求失败";
  String code = "-1";
  String data = "";


  ResponseBean({this.code, this.message, this.data});

  ResponseBean.fromJson(Map<String, dynamic> mJson) {
    code = mJson['code'];
    message = mJson['message'];
    if (mJson['data'] is Map) {
      data = json.encode(mJson['data']);
    }else{
      data = mJson['data'].toString();
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> dataMap = new Map<String, dynamic>();
    dataMap['code'] = this.code;
    dataMap['message'] = this.message;
    dataMap['data'] = json.decode(data);
    return dataMap;
  }

  Response response;
}