
import 'package:flutter/material.dart';
import 'package:fluttertoast/fluttertoast.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';


class ToastConfig{

  static ToastConfig instance;

  static ToastConfig getInstance() {
    if(instance == null){
      // 保持本地实例直到完全初始化。
      return ToastConfig();
    }else{
      return instance;
    }
  }

  Toast toastLength = Toast.LENGTH_SHORT;
  ToastGravity gravity = ToastGravity.CENTER;
  int timeInSecForIos = 1;
  Color backgroundColor = Colors.grey;
  Color textColor = Colors.white;
  double fontSize = ScreenUtil.getInstance().setSp(40);

}